Is there a fix for the 3.3 bug?

Discussion in 'Wii - Hacking' started by tdlo123, Oct 22, 2008.

Oct 22, 2008
  1. tdlo123
    OP

    Member tdlo123 GBAtemp Regular

    Joined:
    Apr 28, 2008
    Messages:
    112
    Location:
    palestine
    Country:
    Israel
    Hi all

    I wanted to access the shop channel but it tells me to update my wii [​IMG]

    Is there an update for trucha, or anything, or is there an other way to get games?

    I heard about downgrading, but I don't know about IOS or wads.

    thanks!
     
  2. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    you need an update for the shop channel? why version software are you on? 2-something?
     
  3. tdlo123
    OP

    Member tdlo123 GBAtemp Regular

    Joined:
    Apr 28, 2008
    Messages:
    112
    Location:
    palestine
    Country:
    Israel
    I have 3.2

    My wii is JAP, but I've seen videos that gives a similar message (with no error codes)
     
  4. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    um....okay....well, just do the upgrade,

    and then use anyregion changer 1.1 to downgrade if you aren't keeping the twilight hack on your wii.

    its weird cuz I can connect to the JAP shop channel on my 3.2U wii just fine.

    and there is no "3.3 bug", 3.3 Software Update simply fixes a bug that has been used for a lot of exploits,
    and results in a wii that is more "brick-endangered", but only really if you are installing wads.
     
  5. Chinman

    Member Chinman GBAtemp Regular

    Joined:
    Dec 16, 2006
    Messages:
    261
    Country:
    United Kingdom
    In my opinion, updating to 3.3 is fine, as all you lose are trucha signed discs (so no more custom guitar hero) and u lose the use of freeloader

    im not 100% sure about trucha signed discs (i will update my wii and find out, then downgrade back to 3.2 when im done and let you know) but i know freeloaded games work on 3.3 via gecko os.

    the twilight hack works with 3.2 and 3.3

    http://wiibrew.org/wiki/Twilight_Hack

    this hack even works with the backup copy of the game.

    i installed custom ios36 rev4. you need an specific ios36 wad, you can find via google or rip from a game update with trucha. i dont think region is an issue with the wad, but during the install it checks the wad is the correct one anyway.

    i used custom ios downgrader to bring my brothers wii back to 3.2, the main homebrew use are gecko os and wad manager. duplicate channel remover is useful too, as it remove all traces from when i did the 15% update trick
     
  6. tdlo123
    OP

    Member tdlo123 GBAtemp Regular

    Joined:
    Apr 28, 2008
    Messages:
    112
    Location:
    palestine
    Country:
    Israel
    you can? then what could the problem be?

    any ideas?
     
  7. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    in the US, there were TWO "3.2 Software Packages"

    in other words, there was a minor update at some point, but it didnt change the Software Version displayed in the settings menu

    you are probably just missing the JAP equivilant of that, I guess. its really nothing to worry about bud.
     
  8. Chinman

    Member Chinman GBAtemp Regular

    Joined:
    Dec 16, 2006
    Messages:
    261
    Country:
    United Kingdom
    just tested, trucha signed discs work on 3.3 via gecko os, but you must start gecko before inserting disc or you get the error message. this is the same for games that have freeloader injected into the iso before burning. freeloader acts as an update that 3.3 has blocked, but luckily gecko skips updates
     
  9. Chinman

    Member Chinman GBAtemp Regular

    Joined:
    Dec 16, 2006
    Messages:
    261
    Country:
    United Kingdom
    if you are worried about the update on a disc, open the iso with trucha and check the update in partition 1

    http://wiibrew.org/wiki/System_Menu_Versions

    games like disaster day of crisis, has v354, meaning it contains the 3.3E update
     
  10. tdlo123
    OP

    Member tdlo123 GBAtemp Regular

    Joined:
    Apr 28, 2008
    Messages:
    112
    Location:
    palestine
    Country:
    Israel
    Great!...errr....how do I install gecko os?
     
  11. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    do you even need GeckoOS? do you even use trucha discs? that wasn't in your original question I didn't think. If you downgrade later, you won't need GeckoOS, but its still a nice program. just do what I have said, you're getting way more info than you need.
     
  12. Slowking

    Member Slowking GBAtemp Maniac

    Joined:
    Dec 31, 2006
    Messages:
    1,396
    Country:
    Germany
    You could try updating with Mario kart. It should have the leatest updates up to 3.2 maybe it allready fixes your problem...
     
  13. Chinman

    Member Chinman GBAtemp Regular

    Joined:
    Dec 16, 2006
    Messages:
    261
    Country:
    United Kingdom
    tdlo123, i know my stuff, if you check my posts, lots of people have benefited from my help. if noob wants to swing his dick, then i'm off.

    i never leave a bro hanging so heres my answer to your question before i leave this topic, use twilight hack to install homebrew channel, then place gecko os in the apps folder on your sd card, make sure file is named boot.dol or boot.elf, and open via the homebrew channel. all this stuff can be found at wiibrew

    pm if you need any more help, good luck
     
  14. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States

    lol...yes....which is why I had completely answered his question 1 post above when you started posting. I never said you didn't "know your stuff", but "your stuff" was barely related to the question at all....GeckoOS provides no help regarding the shop channel in any way.
     
  15. djdynamite123

    Banned djdynamite123 Master Of Hardcore!

    Joined:
    Sep 21, 2008
    Messages:
    3,791
    Location:
    Redcar, England UK
    Country:
    United Kingdom
    hahaha eee noobwarrior what have you been saying here lol
    Noob was only been helpful as always*
    Chinman, i like that comment though lol
     
  16. Chinman

    Member Chinman GBAtemp Regular

    Joined:
    Dec 16, 2006
    Messages:
    261
    Country:
    United Kingdom
    dont be offended but i thought you were too focused on the shop channel. my interpretation of his question was hes basically worried about updating his wii 3.3 and wants to make sure his trucha signed discs still work, and also wanted to learn a little about ios and wads. my posts answers these questions. i pointed out the drawbacks of updating and the ways around it, including how to downgrade

    tdlo123, this topic is for you man, whatever info helped you, whoever gave it to you, hope we helped.
     

Share This Page